RDKit: RDKit::AtomPair::AtomPairArguments Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
RDKit::AtomPair::AtomPairArguments Class Reference

class that holds atom-pair fingerprint specific arguments More...

`#include <AtomPairGenerator.h>`

Inheritance diagram for RDKit::AtomPair::AtomPairArguments:

## Public Member Functions
std::string | infoString () const override
| method that returns information string about the fingerprint specific argument set and the arguments themselves
void | toJSON (boost::property_tree::ptree &pt) const override
void | fromJSON (const boost::property_tree::ptree &pt) override
| AtomPairArguments (const bool countSimulation=true, const bool includeChirality=false, const bool use2D=true, const unsigned int minDistance=1, const unsigned int maxDistance=(maxPathLen - 1), const std::vector< std::uint32_t > countBounds={1, 2, 4, 8}, const std::uint32_t fpSize=2048)
| construct a new AtomPairArguments object
Public Member Functions inherited from RDKit::FingerprintArguments
| FingerprintArguments (bool countSimulation, const std::vector< std::uint32_t > countBounds, std::uint32_t fpSize, std::uint32_t numBitsPerFeature=1, bool includeChirality=false)
std::string | commonArgumentsString () const
| method that returns information string about common fingerprinting arguments' values
virtual | ~FingerprintArguments ()
| FingerprintArguments ()=default

## Public Attributes
bool | df_use2D = true
unsigned int | d_minDistance = 1
unsigned int | d_maxDistance = maxPathLen - 1
Public Attributes inherited from RDKit::FingerprintArguments
bool | df_countSimulation = false
bool | df_includeChirality = false
std::vector< std::uint32_t > | d_countBounds
std::uint32_t | d_fpSize = 2048
std::uint32_t | d_numBitsPerFeature = 1

## Detailed Description

class that holds atom-pair fingerprint specific arguments

Definition at line 53 of file AtomPairGenerator.h.

## Constructor & Destructor Documentation

## ◆ AtomPairArguments()

RDKit::AtomPair::AtomPairArguments::AtomPairArguments | ( | const bool | countSimulation = true,
|  | const bool | includeChirality = false,
|  | const bool | use2D = true,
|  | const unsigned int | minDistance = 1,
|  | const unsigned int | maxDistance = (maxPathLen - 1),
|  | const std::vector< std::uint32_t > | countBounds = {1, 2, 4, 8},
|  | const std::uint32_t | fpSize = 2048 )

construct a new AtomPairArguments object

Parameters

  countSimulation | if set, use count simulation while generating the fingerprint
  includeChirality | if set, chirality will be used in the atom invariants, this is ignored if atomInvariantsGenerator is present for the /c FingerprintGenerator that uses this
  use2D | if set, the 2D (topological) distance matrix will be used
  minDistance | minimum distance between atoms to be considered in a pair, default is 1 bond
  maxDistance | maximum distance between atoms to be considered in a pair, default is maxPathLen-1 bonds
  countBounds | boundaries for count simulation, corresponding bit will be set if the count is higher than the number provided for that spot
  fpSize | size of the generated fingerprint, does not affect the sparse versions

References RDKit::AtomPairs::maxPathLen.

## Member Function Documentation

## ◆ fromJSON()

void RDKit::AtomPair::AtomPairArguments::fromJSON | ( | const boost::property_tree::ptree & | pt | ) |
| overridevirtual

Reimplemented from RDKit::FingerprintArguments.

## ◆ infoString()

std::string RDKit::AtomPair::AtomPairArguments::infoString | ( |  | ) | const
| overridevirtual

method that returns information string about the fingerprint specific argument set and the arguments themselves

Returns
  std::string information string

Implements RDKit::FingerprintArguments.

## ◆ toJSON()

void RDKit::AtomPair::AtomPairArguments::toJSON | ( | boost::property_tree::ptree & | pt | ) | const
| overridevirtual

Reimplemented from RDKit::FingerprintArguments.

## Member Data Documentation

## ◆ d_maxDistance

unsigned int RDKit::AtomPair::AtomPairArguments::d_maxDistance = maxPathLen - 1

Definition at line 58 of file AtomPairGenerator.h.

## ◆ d_minDistance

unsigned int RDKit::AtomPair::AtomPairArguments::d_minDistance = 1

Definition at line 57 of file AtomPairGenerator.h.

## ◆ df_use2D

bool RDKit::AtomPair::AtomPairArguments::df_use2D = true

Definition at line 56 of file AtomPairGenerator.h.

The documentation for this class was generated from the following file:

- AtomPairGenerator.h